# coding=UTF-8
from lupa import LuaRuntime

def preparaFuncaoDeLuaComCallback(ambienteLua, arquivo): #lê a função de lua em um arquivo, colocando numa variável como string e usando o método 'eval' para retorná-la para Python
	with open(arquivo) as entrada:
		luaCode = entrada.read()
		return ambienteLua.eval(luaCode) #retorna a referência para uma função de Lua (que estava escrita sem nome em 'arquivo')

class Astronauta:
	nome = ""
	pronto = True
	destino = ""
	def __init__(self, nome, destino):
		self.nome = nome
		self.destino = destino

def paraUniverso(nome, destino): #função que será passada como Callback e contém os dados para passar para Lua
	return Astronauta(nome, destino) #Neste caso, o dado a ser enviado é um objeto

ambienteLua = LuaRuntime()
funcaoLua = preparaFuncaoDeLuaComCallback(ambienteLua, "codigo_lua.lua") #coloca a referência da função definida em Lua na variavel funcaoLua
funcaoLua(paraUniverso) #chama a função de Lua passando como argumento a função definida aqui
